apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: cilium-certmanager-ca
spec:
  interval: 5m
  releaseName: cluster-mesh
  targetNamespace: kube-system
  storageNamespace: default
  chart:
    spec:
      chart: certmanager-ca
      sourceRef:
        kind: GitRepository
        name: gitlab-helm-charts
  valuesFrom:
    - kind: ConfigMap
      name: cert-manager-ca-base-values  
    - kind: ConfigMap
      name: cert-manager-ca-overlay-values
